Date: Tuesday, September 20, 2016 @ 12:14:02
  Author: jgc
Revision: 276754

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  appstream-glib/repos/gnome-unstable-i686/
  appstream-glib/repos/gnome-unstable-i686/PKGBUILD
    (from rev 276753, appstream-glib/trunk/PKGBUILD)
  appstream-glib/repos/gnome-unstable-x86_64/
  appstream-glib/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 276753, appstream-glib/trunk/PKGBUILD)

--------------------------------+
 gnome-unstable-i686/PKGBUILD   |   37 +++++++++++++++++++++++++++++++++++++
 gnome-unstable-x86_64/PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

Copied: appstream-glib/repos/gnome-unstable-i686/PKGBUILD (from rev 276753, 
appstream-glib/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD                                (rev 0)
+++ gnome-unstable-i686/PKGBUILD        2016-09-20 12:14:02 UTC (rev 276754)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Jan de Groot <j...@archlinux.org>
+
+pkgname=appstream-glib
+pkgver=0.6.3
+pkgrel=1
+pkgdesc="Provides GObjects and helper methods to make it easy to read and 
write AppStream metadata"
+arch=('i686' 'x86_64')
+url="http://people.freedesktop.org/~hughsient/appstream-glib/";
+license=('LGPL')
+depends=('gtk3' 'libyaml' 'pacman' 'gcab')
+makedepends=('intltool' 'gobject-introspection')
+provides=('appdata-tools')
+conflicts=('appdata-tools')
+replaces=('appdata-tools')
+source=(https://people.freedesktop.org/~hughsient/appstream-glib/releases/$pkgname-$pkgver.tar.xz)
+sha256sums=('3ec355c950b86cd792b6e396a5a4a72487999e300fcacf7466a663974ec4ad24')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --enable-alpm
+
+  #https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Copied: appstream-glib/repos/gnome-unstable-x86_64/PKGBUILD (from rev 276753, 
appstream-glib/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD                              (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD      2016-09-20 12:14:02 UTC (rev 276754)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Jan de Groot <j...@archlinux.org>
+
+pkgname=appstream-glib
+pkgver=0.6.3
+pkgrel=1
+pkgdesc="Provides GObjects and helper methods to make it easy to read and 
write AppStream metadata"
+arch=('i686' 'x86_64')
+url="http://people.freedesktop.org/~hughsient/appstream-glib/";
+license=('LGPL')
+depends=('gtk3' 'libyaml' 'pacman' 'gcab')
+makedepends=('intltool' 'gobject-introspection')
+provides=('appdata-tools')
+conflicts=('appdata-tools')
+replaces=('appdata-tools')
+source=(https://people.freedesktop.org/~hughsient/appstream-glib/releases/$pkgname-$pkgver.tar.xz)
+sha256sums=('3ec355c950b86cd792b6e396a5a4a72487999e300fcacf7466a663974ec4ad24')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --enable-alpm
+
+  #https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Reply via email to